Development in VSCode and maybe use TypeScript


#1

Hi all.
I would like to know which plugins I need to install, which I need to disable and how to configure it.
Here is my screen:

And how i try to use TypeScript:
package.json
@types/meteor”: “^1.4.16”,
@types/node”: “^10.5.7”,
@types/react”: “^16.4.9”,
“ts-node”: “^7.0.0”,
“tslint”: “^5.11.0”,
“typescript”: “^3.0.1”

tsconfig.json
{
“compilerOptions”: {
“target”: “es5”,
“module”: “commonjs”,
“moduleResolution”: “node”,
“alwaysStrict”: true,
“sourceMap”: true,
“jsx”: “react”,
“allowJs”: false,
“noImplicitAny”: false,
“strictNullChecks”: false
},
“include”: ["*.ts"],
“exclude”: [“node_modules”, “.meteor”, “.reaction”]
}

.jshintrc
{
“esversion”: 6
}